GDB (xrefs)

Functions
py-gdb-readline.c File Reference
`#include "defs.h"`
`#include "python-internal.h"`
`#include "top.h"`
`#include "cli/cli-utils.h"`

Go to the source code of this file.

## Functions
static char * | gdbpy_readline_wrapper (FILE *sys_stdin, FILE *sys_stdout, char *prompt)
void | gdbpy_initialize_gdb_readline (void)

## Function Documentation

## ◆ gdbpy_initialize_gdb_readline()

void gdbpy_initialize_gdb_readline | ( | void |  | ) |

Definition at line 89 of file py-gdb-readline.c.

References gdbpy_readline_wrapper().

Referenced by do_start_initialization().

## ◆ gdbpy_readline_wrapper()

static char* gdbpy_readline_wrapper | ( | FILE * | sys_stdin,
|  | FILE * | sys_stdout,
|  | char * | prompt
| ) |  |
| static

Definition at line 32 of file py-gdb-readline.c.

References CATCH, command_line_input(), END_CATCH, gdbpy_convert_exception(), PyMem_RawMalloc, RETURN_MASK_ALL, RETURN_QUIT, and TRY.

Referenced by gdbpy_initialize_gdb_readline().